This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 1031067 - FTBFS on big endians
FTBFS on big endians
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sphinxtrain (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jerry James
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ZedoraTracker
  Show dependency treegraph
 
Reported: 2013-11-15 09:45 EST by Dan Horák
Modified: 2013-11-23 23:05 EST (History)
1 user (show)

See Also:
Fixed In Version: sphinxtrain-1.0.8-10.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 23:05:17 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
proposed fix (533 bytes, patch)
2013-11-15 09:45 EST, Dan Horák
no flags Details | Diff
complete change for fedora git (2.25 KB, patch)
2013-11-15 09:46 EST, Dan Horák
no flags Details | Diff

  None (edit)
Description Dan Horák 2013-11-15 09:45:22 EST
Created attachment 824572 [details]
proposed fix

build on big endian arches fails with

...
 -DLT_OBJDIR=\".libs/\" -DWORDS_BIGENDIAN=1 -D_FILE_OFFSET_BITS=64 -DHAVE_FSEEKO=1 -DHAVE_LONG_LONG=1 -DSIZEOF_LONG_LONG=8 -DSIZEOF_LONG=4 -DSIZEOF_INT=4 -DSIZEOF_OFF_T=8 -DHAVE_LIBM=1 -DG2P_DECODER=1 -I.  -I../../../include -I/usr/include/sphinxbase   -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches  -m31 -march=z9-109 -mtune=z10 -fPIC -DPIC -c mk_s2sendump.c
In file included from mk_s2sendump.c:60:0:
mk_s2sendump.c: In function 'fwrite_int32':
mk_s2sendump.c:85:5: error: invalid type argument of unary '*' (have 'int32')
     SWAP_LE_32(val);
     ^
mk_s2sendump.c:85:5: error: invalid type argument of unary '*' (have 'int32')
     SWAP_LE_32(val);
     ^
mk_s2sendump.c:85:5: error: invalid type argument of unary '*' (have 'int32')
     SWAP_LE_32(val);
     ^
mk_s2sendump.c:85:5: error: invalid type argument of unary '*' (have 'int32')
     SWAP_LE_32(val);
     ^
mk_s2sendump.c:85:5: error: invalid type argument of unary '*' (have 'int32')
     SWAP_LE_32(val);
     ^
make[3]: *** [mk_s2sendump.o] Error 1
make[3]: *** Waiting for unfinished jobs....

Version-Release number of selected component (if applicable):
sphinxtrain-1.0.8-9.fc20
Comment 1 Dan Horák 2013-11-15 09:46:44 EST
Created attachment 824573 [details]
complete change for fedora git

If you agree I can do the change in git and build the updates in all relevant branches.
Comment 2 Jerry James 2013-11-15 10:45:29 EST
I agree, that is the correct fix.  Please go ahead with the builds.  Thanks for the diagnosis and fix.  I will send your patch upstream.
Comment 3 Fedora Update System 2013-11-15 12:11:31 EST
sphinxtrain-1.0.8-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/sphinxtrain-1.0.8-10.fc20
Comment 4 Fedora Update System 2013-11-16 02:04:57 EST
Package sphinxtrain-1.0.8-10.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing sphinxtrain-1.0.8-10.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21464/sphinxtrain-1.0.8-10.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-11-23 23:05:17 EST
sphinxtrain-1.0.8-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.